id: bimi-record-detect

info:
  name: BIMI Record - Detection
  author: rxerium
  severity: info
  description: |
    A BIMI record was detected
  reference:
    - https://postmarkapp.com/blog/what-the-heck-is-bimi
  metadata:
    max-request: 1
  tags: dns,bimi
dns:
  - name: "{{FQDN}}"
    type: TXT
    matchers:
      - type: word
        words:
          - "v=BIMI1"

    extractors:
      - type: regex
        regex:
          - "v=BIMI1(.+)"
# digest: 4a0a0047304502204698fab042c473026bd8aea53807cf759d46ca1f1d16e61e12e75826f683ce4c022100d984d82269e7eb9cbe53b6f24ea4ac7069722ab62cd8b9e4bb653ec908d9f1ed:922c64590222798bb761d5b6d8e72950